///////////////////////////////////////////
// *** Egypt2 Shader File ***
///////////////////////////////////////////


//--------------------------
// * Sky Textures *
//--------------------------

textures/egypt2/boulder_sky
{
    qer_editorimage "env/egypt2_sky/boulder_ft.tga"
    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nomarks
    q3map_sun 1.00 1.00 1.00 70 90 90
    q3map_surfacelight 300
    skyparms "env/egypt2_sky/boulder" - -
}


//--------------------------
// * Light Textures *
//--------------------------

textures/egypt2/water_clear
{
    qer_editorimage "textures/egypt2/water_clear.jpg"
    q3map_surfacelight 400
    qer_trans .5
    q3map_globaltexture
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    cull disable
    deformVertexes wave 64 sin .25 .25 0 .5
    { 
        map "textures/egypt2/water_clear.jpg"
        blendFunc GL_dst_color GL_one
        rgbgen identity
        tcmod scale .5 .5
        tcmod scroll .025 .01
    }
    { 
        map "textures/egypt2/water_clear.jpg"
        blendFunc GL_dst_color GL_one
        tcmod scale -.5 -.5
        tcmod scroll .025 .025
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity		
    }
}

textures/egypt2/flame1
{
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    cull none
    q3map_surfacelight 4000
    {
        animMap 10 "textures/egypt2/flame1.jpg" "textures/egypt2/flame2.jpg" "textures/egypt2/flame3.jpg" "textures/egypt2/flame4.jpg" "textures/egypt2/flame5.jpg" "textures/egypt2/flame6.jpg" "textures/egypt2/flame7.jpg" "textures/egypt2/flame8.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }
    {
        animMap 10 "textures/egypt2/flame2.jpg" "textures/egypt2/flame3.jpg" "textures/egypt2/flame4.jpg" "textures/egypt2/flame5.jpg" "textures/egypt2/flame6.jpg" "textures/egypt2/flame7.jpg" "textures/egypt2/flame8.jpg" "textures/egypt2/flame1.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map "textures/egypt2/flameball.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6
    }
}

textures/egypt2/flame1_blue
{
    surfaceparm nomarks
    surfaceparm nonsolid
    surfaceparm nolightmap
    surfaceparm trans
    cull none
    q3map_surfacelight 4000
    {
        animMap 10 "textures/egypt2/flame1_blue.jpg" "textures/egypt2/flame2_blue.jpg" "textures/egypt2/flame3_blue.jpg" "textures/egypt2/flame4_blue.jpg" "textures/egypt2/flame5_blue.jpg" "textures/egypt2/flame6_blue.jpg" "textures/egypt2/flame7_blue.jpg" "textures/egypt2/flame8_blue.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave inverseSawtooth 0 1 0 10
    }
    {
        animMap 10 "textures/egypt2/flame2_blue.jpg" "textures/egypt2/flame3_blue.jpg" "textures/egypt2/flame4_blue.jpg" "textures/egypt2/flame5_blue.jpg" "textures/egypt2/flame6_blue.jpg" "textures/egypt2/flame7_blue.jpg" "textures/egypt2/flame8_blue.jpg" "textures/egypt2/flame1_blue.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sawtooth 0 1 0 10
    }
    {
        map "textures/egypt2/flameball_blue.jpg"
        blendFunc GL_ONE GL_ONE
        rgbGen wave sin .6 .2 0 .6
    }
}

textures/egypt2/neon_torch
{
    qer_editorimage "textures/egypt2/neon_torch.jpg"
    q3map_lightimage "textures/egypt2/neon_torch.jpg"
    q3map_surfacelight 100
    surfaceparm nolightmap
    surfaceparm nomarks
    surfaceparm nodamage
    surfaceparm trans
    {
        map "textures/egypt2/neon_torch.jpg"
        blendfunc GL_ONE GL_ONE
        tcGen base
        tcmod rotate 100
        tcmod scroll 1.5 -2.0
    }
}

textures/egypt2/plat_neon
{
    qer_editorimage "textures/egypt2/plat_neon.jpg"
    q3map_lightimage "textures/egypt2/plat_neon_blend.jpg"
    q3map_surfacelight 4000
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm slick
    {
        map $lightmap
        rgbGen identity
    }
    {
        map "textures/egypt2/plat_neon.jpg"
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map "textures/egypt2/plat_neon_blend.jpg"
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/egypt2/plat_bneon
{
    qer_editorimage "textures/egypt2/plat_bneon.jpg"
    q3map_lightimage "textures/egypt2/plat_bneon_blend.jpg"
    q3map_surfacelight 4000
    surfaceparm nodamage
    surfaceparm nomarks
    surfaceparm slick
    {
        map $lightmap
        rgbGen identity
    }
    {
        map "textures/egypt2/plat_bneon.jpg"
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map "textures/egypt2/plat_bneon_blend.jpg"
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/egypt2/light
{
    qer_editorimage "textures/egypt2/light.jpg"
    q3map_lightimage "textures/egypt2/light_blend.jpg"
    q3map_surfacelight 3000
    surfaceparm nodamage
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map "textures/egypt2/light.jpg"
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map "textures/egypt2/light_blend.jpg"
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/egypt2/blight
{
    qer_editorimage "textures/egypt2/blight.jpg"
    q3map_lightimage "textures/egypt2/blight_blend.jpg"
    q3map_surfacelight 3000
    surfaceparm nodamage
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map "textures/egypt2/blight.jpg"
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map "textures/egypt2/blight_blend.jpg"
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/egypt2/neon
{
    qer_editorimage "textures/egypt2/neon.jpg"
    q3map_lightimage "textures/egypt2/neon_blend.jpg"
    q3map_surfacelight 3000
    surfaceparm nodamage
    surfaceparm nomarks
    {
        map $lightmap
        rgbGen identity
    }
    {
        map "textures/egypt2/neon.jpg"
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map "textures/egypt2/neon_blend.jpg"
        blendfunc GL_ONE GL_ONE
        rgbGen wave sin .3 .1 0 0.5
    }
}

textures/egypt2/portal
{
    qer_editorimage "textures/egypt2/portal.tga"
    q3map_lightimage "textures/egypt2/portal_blend.tga"
    q3map_surfacelight 400
    {
        map "textures/egypt2/portal_tele.jpg"
        tcmod rotate 180
        tcMod stretch sin .8 0.1 0 .5
    }
    {
        clampmap "textures/egypt2/portal.tga"
        blendfunc ADD
        tcMod stretch sin 0.95 .7 0 1.25
        rgbGen wave square .5 .5 .25 1.25
        rgbgen identity
    }
    {
        map "textures/egypt2/portal.tga"
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        rgbgen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map "textures/egypt2/portal_blend.tga"
        blendfunc ADD
        rgbgen wave sin .8 .2 0 1
    }
}


//--------------------------
// * Misc Textures *
//--------------------------

textures/egypt2/glass
{
    qer_editorimage "textures/egypt2/glass.jpg"
    surfaceparm nodamage
    surfaceparm slick
    surfaceparm trans
    cull none
    qer_trans 0.2
    {
        map "textures/egypt2/glass.jpg"
        tcgen environment
        blendFunc GL_ONE GL_ONE
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        blendFunc filter
    }   
}

textures/egypt2/steel1
{
    qer_editorimage "textures/egypt2/steel1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/steel1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wood1
{
    qer_editorimage "textures/egypt2/wood1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/wood1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wood2
{
    qer_editorimage "textures/egypt2/wood2.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/wood2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/ground1
{
    qer_editorimage "textures/egypt2/ground1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/ground1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/ground1_slick
{
    qer_editorimage "textures/egypt2/ground1_slick.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/ground1_slick.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/ground2
{
    qer_editorimage "textures/egypt2/ground2.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/ground2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/ground3
{
    qer_editorimage "textures/egypt2/ground3.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/ground3.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/roof1
{
    qer_editorimage "textures/egypt2/roof1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/roof1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/sand
{
    qer_editorimage "textures/egypt2/sand.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/sand.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wall1
{
    qer_editorimage "textures/egypt2/wall1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/wall1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wall1_slick
{
    qer_editorimage "textures/egypt2/wall1_slick.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/wall1_slick.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wall1_slick2
{
    qer_editorimage "textures/egypt2/wall1_slick2.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/wall1_slick2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wall2
{
    qer_editorimage "textures/egypt2/wall2.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/wall2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/wall2_slick
{
    qer_editorimage "textures/egypt2/wall2_slick.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/wall2_slick.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat1
{
    qer_editorimage "textures/egypt2/plat1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/plat1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat1_support
{
    qer_editorimage "textures/egypt2/plat1_support.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/plat1_support.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat2
{
    qer_editorimage "textures/egypt2/plat2.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/plat2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat3
{
    qer_editorimage "textures/egypt2/plat3.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/plat3.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat_support1
{
    qer_editorimage "textures/egypt2/plat_support1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/plat_support1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat_support1_slick
{
    qer_editorimage "textures/egypt2/plat_support1_slick.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/plat_support1_slick.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat_support2
{
    qer_editorimage "textures/egypt2/plat_support2.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/plat_support2.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/plat_support3
{
    qer_editorimage "textures/egypt2/plat_support3.jpg"
    surfaceparm nodamage
    surfaceparm slick
    {
        map "textures/egypt2/plat_support3.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/monument1
{
    qer_editorimage "textures/egypt2/monument1.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/monument1.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}

textures/egypt2/monument1_support
{
    qer_editorimage "textures/egypt2/monument1_support.jpg"
    surfaceparm nodamage
    {
        map "textures/egypt2/monument1_support.jpg"
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
}
